HP Color LaserJet CP1215 :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
Can't compile foo2zjs [Mac OS 10.6.7, Solved]
Posted by: cetera ()
Date: June 09, 2011 03:07AM

I've already done all steps from INSTALL.osx, but when I try to make foo2zjs I get this error:


$ make
#
# Dependencies...
#
# ... OK!
#
cc -O2 -Wall -Wno-unused-but-set-variable   -c -o foo2zjs.o foo2zjs.c
cc1: error: unrecognized command line option "-Wno-unused-but-set-variable"
make: *** [foo2zjs.o] Error 1

Any ideas?



Edited 2 time(s). Last edit at 09/09/2011 02:34PM by rickrich.

Options: ReplyQuote
Re: Can't compile foo2hzjs [Mac OS 10.6.7]
Posted by: rickrich ()
Date: June 09, 2011 06:15AM

Redownload, etc.

Options: ReplyQuote
Re: Can't compile foo2hzjs [Mac OS 10.6.7]
Posted by: cetera ()
Date: June 09, 2011 07:39PM

I deleted foo2zjs with:
rm -rf foo2zjs
Then I downloaded it again and it worked!

Thank you for help :)



Edited 1 time(s). Last edit at 06/09/2011 07:40PM by cetera.

Options: ReplyQuote
Re: Can't compile foo2hzjs [Mac OS 10.6.7, Solved]
Posted by: oxf0rd ()
Date: September 09, 2011 01:56PM

How do I do this now that xcode 4 is out?

Options: ReplyQuote
Re: Can't compile foo2hzjs [Mac OS 10.6.7, Solved]
Posted by: rickrich ()
Date: September 09, 2011 02:30PM

From INSTALL.osx:
1) Browse to:
    http://developer.apple.com/xcode/

    Download and install "Xcode 3", the C compiler.  It is in the lower right:
        "Looking for Xcode 3? Download Now"

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.